Parameter
Operations
Retrieve Parameter parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/getParameter
POST /nexum/627/2022.01/parameter/getParameter HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Parameter": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getParameter"
}Retrieve Parameter parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/getParameterSelectFields
POST /nexum/627/2022.01/parameter/getParameterSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 192
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"nxAttributes": {
"customFields": {
"appId": "parameter-reference"
}
},
"SelectableFields": {
"IncludeAllParameterFields": true
}
}200
Successful operation.
{
"Parameter": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getParameterSelectFields"
}Retrieve ParameterSelectFieldsFilterChildren parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
Responses
200
Successful operation.
application/json
post/getParameterSelectFieldsFilterChildren
POST /nexum/627/2022.01/parameter/getParameterSelectFieldsFilterChildren HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 238
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"SelectableFields": {
"IncludeAllParameterFields": true
},
"ChildrenSearchFilter": {
"Query": "example-query"
},
"nxAttributes": {
"customFields": {
"appId": "{application-id}"
}
}
}200
Successful operation.
{
"Parameter": {
"RecordChangeDate": "2010-05-08"
},
"MessageId": "getParameterSelectFieldsFilterChildren"
}Last updated
Was this helpful?